      subroutine potts_order(ista,ns,iq)
C Assigns random values iq to the states ista(is) in potts.com.
      include 'implicit.sta'
      dimension ista(ns)
      do is=1,ns
      ista(is)=iq
      end do
      return
      end
